Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2442 - bad assumptions in autofs init script
Summary: bad assumptions in autofs init script
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs
Version: 6.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-30 19:18 UTC by Nalin Dahyabhai
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-21 19:21:48 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 1999-04-30 19:18:50 UTC
/etc/rc.d/init.d/autofs contains the following:
if [ -f /etc/$map ] ; then
	echo "$basecommand file /etc/$map ...
else
	echo "$basecommand yp $map ..."
fi

This breaks any lookup method that isn't file or yp, namely
nisplus and program, and hesiod if you recompile with it.

Comment 1 Nalin Dahyabhai 1999-04-30 19:40:59 UTC
I forgot that autofs isn't exclusive-arch: i386 anymore.

Comment 2 Bill Nottingham 1999-08-21 19:21:59 UTC
This should be fixed in autofs-3.1.3-5, which will be in the
next Raw Hide release.

You will be able to specify in /etc/auto.master:

/mnt	nisplus:/etc/mnt.map

which specifies to use an nisplus map.


Note You need to log in before you can comment on or make changes to this bug.